LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
InsertCommandArgument2 Struct Reference

The argument for the command "insert" augmented with some properties. More...

`import"InsertCommandArgument2.idl";`

Inheritance diagram for InsertCommandArgument2:

## Public Attributes
string | MimeType
| contains the MIME type of the document to insert More...
string | DocumentId
| contains the Document Id of the document to insert More...
Public Attributes inherited from InsertCommandArgument
com::sun::star::io::XInputStream | Data
| A stream containing document data. More...
boolean | ReplaceExisting
| A flag indicating whether a possibly existing content (and its data) shall be overwritten. More...

## Detailed Description

The argument for the command "insert" augmented with some properties.

## Member Data Documentation

## ◆ DocumentId

string DocumentId

contains the Document Id of the document to insert

## ◆ MimeType

string MimeType

contains the MIME type of the document to insert

The documentation for this struct was generated from the following file:

- com/sun/star/ucb/InsertCommandArgument2.idl